package ttt.gui;

import java.util.*;
import javax.swing.*;

import ttt.model.TTTGame;

/** An abstract superclass that all views will extend. */
public abstract class TTTView extends JPanel implements Observer {
    // constants
    public static final String SOUND_FOLDER = "sounds/";
    public static final String IMAGE_FOLDER = "images/";
    
    // fields
    protected TTTGame game;
    
    public TTTView(TTTGame game) {
        this.game = game;
        game.addObserver(this);
    }
    
    /** Removes this view from the game. */
    public void detach() {
        game.deleteObserver(this);
    }
    
    // I don't need to redeclare this, but I inherit it by
    // implementing Observer:
    // public abstract void update(Observable o, Object arg);
}
